Subject: bug#8837: term.el: term does not work with custom fringe

From: [email-masked]
Date: Sat, 11 Jun 2011 15:16:34 -0400

I am using a fresh build from the master repository (24.0.50) on GNU/Linux x86_64

When I set a custom fringe width via `(fring-mode '(1 . 0))', M-x term stops working. I still get basic terminal functionality (bash, ls, etc. work fine) - but any complex ncurse-based application stops working. The terminal just displays random subsets of the actual text that its supposed to show.

How to reproduce:
`emacs -q`
eval `(fring-mode '(1 . 0))'
`M-x term`
start aptitude
...

Is this a bug?

Other than that, there is a minor issue with the terminal height; reported here: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5615
Is there any chance to get this fix upstream?